services:
    Chill\TaskBundle\Form\:
        resource: '../../Form/'
        autowire: true
        autoconfigure: true

    Chill\TaskBundle\Form\SingleTaskListType:
        arguments:
            $em: '@Doctrine\ORM\EntityManagerInterface'
            $authorizationHelper: '@Chill\MainBundle\Security\Authorization\AuthorizationHelper'
            $tokenStorage: '@Symfony\Component\Security\Core\Authentication\Token\Storage\TokenStorageInterface'
            $taskWorkflowManager: '@Chill\TaskBundle\Workflow\TaskWorkflowManager'
        tags:
            - { name: form.type }
